Bug 191549 - Review Request: hping3 - TCP/IP stack auditing and much more
Review Request: hping3 - TCP/IP stack auditing and much more
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
: Reopened
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-05-12 16:20 EDT by Paul Wouters
Modified: 2014-11-12 18:12 EST (History)
2 users (show)

See Also:
Fixed In Version: hping3-0.0.20051105-22.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-26 16:18:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Paul Wouters 2006-05-12 16:20:49 EDT
Spec URL: ftp://ftp.xelerance.com/hping3/hping3.spec
SRPM URL: ftp://ftp.xelerance.com/hping3/hping3-0.0.20051105-1.src.rpm
Description: hping3 is a network tool able to send custom TCP/IP packets and to
display target replies like ping do with ICMP replies. hping3 can handle
fragmentation, and almost arbitrary packet size and content, using the
command line interface.
Since version 3, hping implements scripting capabilties

hping3 is a drop-in replacement for hping2 (package makes a symlink)
Comment 1 Paul Howarth 2006-05-15 06:52:16 EDT
As this package has:

Obsoletes: hping2

it should also have:

Provides: hping2

so as not to break dependencies for any package that requires hping2.
Comment 3 Jason Tibbitts 2006-06-07 14:48:11 EDT
This failed to build on the development branch due to the split of libpcap-devel
from libpcap.  I modified the BuildRequires: to libpcap-devel and all is well. 
Unfortunately the current libpcap releases were not modified to provide
libpcap-devel so you will have to use different specfiles for devel and FC5.

* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text included in package.
* source files match upstream:
   ca4ea4e34bcc2162aedf25df8b2d1747  hping3-20051105.tar.gz
   ca4ea4e34bcc2162aedf25df8b2d1747  hping3-20051105.tar.gz-srpm
* latest version is being packaged.
X BuildRequires are proper (libpcap-devel needed for FC6)
O package builds in mock (development, x86_64) (after fixing BR: libpcap-devel)
* rpmlint is silent.
* final provides and requires are sane:
   hping2
   hping3 = 0.0.20051105-2.fc6
  =
   libtcl8.4.so()(64bit)
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
 %clean is present.
* %check is not present; no test suite upstream
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED; just be aware of the libpcap-devel issue.
Comment 4 Jason Tibbitts 2006-06-14 19:15:00 EDT
Ping?
Comment 5 Jason Tibbitts 2006-06-22 12:05:21 EDT
If I don't hear back soon, I'm going to close this bug and let someone else
re-submit.
Comment 6 Jason Tibbitts 2006-07-07 12:41:37 EDT
I give up.  I have seen activity from the package submitter on the mailing lists
but can't get any response.  So I'm closing this bug.

At this point, consider my approval revoked.  I will be happy to re-review at a
later date if this bug is reopened or if someone else wishes to submit this package.
Comment 7 Paul Wouters 2006-07-07 16:54:48 EDT
I am sorry. I am trying to get my bugzilla email address changed, but it is
stuck between two bugzilla accounts now. The xtdnet.nl address is swamped in
spam and not my main contact address anymore (previous employer), so I'm sure
I'm missing more email on that account. the address I use at the fedora email
lists work fine, and I read those daily. (paul@cypherpunks.ca or paul@xelerance.com)

I'm ready to actually start the import with:
./common/cvs-import.sh hping3-0.0.20051105-3.src.rpm
Comment 8 Jason Tibbitts 2006-07-26 15:39:17 EDT
I lost track of this bug, sorry about that.  If you do still want to import it
then go ahead.  It seems to me reasonable that you could have just added a CC to
your working address if you were concerned about not seeing message at your
other accounts; I'll try to do that for you but I'm not sure if it will work.
Comment 9 Paul Wouters 2014-07-28 14:56:25 EDT
Package Change Request
======================
Package Name: hping3
New Branches: epel7
Owners: pwouters
Comment 10 Gwyn Ciesla 2014-07-28 15:14:00 EDT
Git done (by process-git-requests).
Comment 11 Fedora Update System 2014-10-23 21:51:36 EDT
hping3-0.0.20051105-22.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/hping3-0.0.20051105-22.el7
Comment 12 Fedora Update System 2014-11-12 18:12:53 EST
hping3-0.0.20051105-22.el7 has been pushed to the Fedora EPEL 7 stable repository.

Note You need to log in before you can comment on or make changes to this bug.